# Get Available Paths

BETA Get all available paths for search in index-api.

Endpoint: GET /entityresolution/searchattributepaths
Version: 2
Security: apiKey

## Response 200 fields (application/json):

  - `searchAttributes` (array)
    List of search attributes.
    Example: ["$.names[].type.technicalKey"]

  - `status` (object)
    Details about status or error of a service

  - `status.code` (integer, required)
    RFC 7231 status code for this error.
    Example: "200"

  - `status.technicalKey` (string, required)
    Technical key describing the status or error
    Example: "OK"

  - `status.details` (array, required)

  - `status.details.id` (integer, required)
    9-digit code which is uniquely identifying a message
    Example: 200000004

  - `status.details.message` (string, required)
    Human-readable message which may also be presented in user interface.
    Example: "The job came to an end and finished successfully."

  - `status.details.technicalKey` (string)
    Technical key to uniquely identify a message.
    Example: "JOB_FINISHED"

  - `status.details.jsonPath` (string)
    JSONPath as specified by the IETF standard
    Example: "$.businessPartner.names[0].value"

  - `status.details.jsonRecord` (string)
    Object provided in plain JSON format.
    Example: "{ \"key\" : \"value\"}"

  - `status.path` (string)
    Requested path which caused this error.
    Example: "/v2/businesspartners/lookup"

  - `status.timestamp` (string)
    ISO 8601 representation of the timestamp.
    Example: "2026-06-03T12:58:32Z"

## Response 400 fields (application/json):

  - `status` (object)
    Details about status or error of a service


